/*
 *  Kylin security execute control
 *
 *  This file contains status relate apis for Kylin
 *  security exectl
 *
 *  Authors:  songchuanfei <songchuanfei@kylinos.cn>
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  mengyuan <mengyuan@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */
#ifndef _KYSEC_STATUS_DBUS_H_
#define _KYSEC_STATUS_DBUS_H_

#include <kysec/status.h>

#ifdef __cplusplus
extern "C" {
#endif

extern int kysec_setstatus(int value);

extern int kysec_set_func_status(int func_id, int status);

extern int kysec_conf_add(void);

extern int kysec_conf_remove(void);

extern int kysec_conf_set(const char *key, int value);

/**
 * @brief 设置kysec状态
 * @param status 状态 
 *      KYSEC_STATUS_DISABLED: 关闭kysec(只关闭kysec子功能,底层ksaf框架不关闭)
 *      KYSEC_STATUS_ENABLED:  开启kysec(会将kysec子功能全部开启)
 *      KYSEC_STATUS_SOFTMODE: 软模式(将ksaf设置为软模式 若是从disable切换到软模式 则会默认把kysec子功能全部开启)
 * @return 0:成功 其他:失败
*/
extern int kysec_setstatus_for_scene(int status);

#ifdef __cplusplus
}
#endif

#endif
